Skip to content

List bundles by projectId
GA

Request

Returns a paginated list of bundles for a given project, optionally filtered by SMS App IDs, Conversation App IDs, or bundle states. If no page token is supplied then the first 10 will be returned.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Query
pageTokenstring

The page token if retrieving the next page from a previous query.

pageSizenumber, [ 1 .. 25 ]

The page size requested.

filterConvAppIdsArray of strings

Optional query for filtering by Conversation App IDs.

filterSmsAppIdsArray of strings

Optional query for filtering by SMS App IDs.

filterStatesArray of strings(BundlesBundleServicesStateEnum)

Optional query for filtering by bundle states.

Items Enum:"DONE""FAILED""IN_PROGRESS"
curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/bundles?pageToken=string&pageSize=1&filterConvAppIds=string&filterSmsAppIds=string&filterStates=DONE' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of bundles

Bodyapplication/json
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

bundlesArray of objects(BundlesBundlesDto)required

List of bundles.

previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response

Response with sms apps.

{ "totalSize": 1, "pageSize": 10, "bundles": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: